> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reserve Subnet

> Reserve Subnet



## OpenAPI

````yaml openapi/billing.yaml post /v1/{tenantUUID}/market/ipv4/services/reserve
openapi: 3.0.1
info:
  title: Billing API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/billing
security:
  - bearerAuth: []
paths:
  /v1/{tenantUUID}/market/ipv4/services/reserve:
    post:
      tags:
        - Market
      summary: Reserve Subnet
      description: Reserve Subnet
      operationId: API-Pub-IPMarket-IPv4-Services-Reserve
      parameters:
        - name: tenantUUID
          in: path
          description: Tenant UUID
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/API.Pub.Requests.IPMarket.ReserveSubnetForCommitmentRequest
            example:
              pricing_uuid: string
              address: string
              cidr: 0
              ip_price: string
              contract_length: 0
      responses:
        '200':
          description: Success
        '400':
          description: Invalid Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
components:
  schemas:
    UUID:
      pattern: >-
        ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$
      type: string
      description: UUID
    API.Pub.Requests.IPMarket.ReserveSubnetForCommitmentRequest:
      required:
        - pricing_uuid
        - address
        - cidr
        - ip_price
        - contract_length
      type: object
      properties:
        pricing_uuid:
          type: string
          format: uuid
        address:
          type: string
        cidr:
          maximum: 24
          minimum: 1
          type: integer
        ip_price:
          type: string
        contract_length:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````